Commit 27282325 authored by R.K.Garcia's avatar R.K.Garcia
Browse files

setup.py version should no longer require boost for LRU cache per #21

parent 1332a6ae
#!/bin/bash
# docker run --rm -it -v $PWD:/docker -w /docker centos6dev /bin/bash
# yum install xz git
# yum install xz git boost-static
# export AXITOOLS_HOME=$PWD/test_install
# export HIMAWARI_TAG=develop
# export GOESR_TAG=develop
......
......@@ -12,7 +12,7 @@ install_requires = [
]
SYS_LIBRARIES = {
'linux': ['boost_system'],
# 'linux': ['boost_system'],
}
def libraries_for_platform():
......@@ -33,7 +33,8 @@ INCLUDES = [os.path.abspath(x) for x in ['include', 'src/erfa']]
_himawari = Extension('_himawari',
sources = ['src/py_himawari_stub.c'] + SOURCES,
include_dirs=INCLUDES,
libraries=libraries_for_platform()
libraries=libraries_for_platform(),
extra_compile_args=["-DNO_LRU_CACHE"]
)
......
......@@ -16,6 +16,7 @@
#include <cstring> // bzero
#include <stdint.h>
#include <stdlib.h> // size_t, offset_t
#include <map>
// by default, cache files we've unpacked
#ifndef NO_LRU_CACHE
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment